<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 11/02/18
 * Time: 9:16 PM
 */


namespace qfq;

require_once(__DIR__ . '/../../qfq/helper/Token.php');

#use qfq;

use PHPUnit\Framework\TestCase;


/**
 * Class TokenTest
 * @package qfq
 */
class TokenTest extends TestCase {

    public function testExplodeDimension() {

        $this->assertEquals('', Token::explodeDimension(''));
        $this->assertEquals('-w 150', Token::explodeDimension('150'));
        $this->assertEquals('-w 150', Token::explodeDimension('150x'));
        $this->assertEquals('-w 150 -h 200', Token::explodeDimension('150x200'));
        $this->assertEquals('-h 200', Token::explodeDimension('x200'));
    }
}

